petsc-3.4.2 2013-07-02

# DMMeshCreateVector

Creates a global vector matching the input section

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshCreateVector(DM mesh, SectionReal section, Vec *vec)

Collective on DMMesh

### Input Parameters

| mesh | - the DMMesh
| section | - the Section

### Output Parameter

vec -the global vector

Notes: The vector can safely be destroyed using VecDestroy().

### See Also

DMMeshCreate()

Level:advanced
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages